Main Page Class List Class Members

# sdk/common/NvBlastPxSharedHelpers.h File Reference

`#include "NvCTypes.h"`
`#include <PxVec2.h>`
`#include <PxVec3.h>`
`#include <PxVec4.h>`
`#include <PxTransform.h>`
`#include <PxPlane.h>`
`#include <PxMat33.h>`
`#include <PxMat44.h>`
`#include <PxBounds3.h>`

Go to the source code of this file.

## Defines
#define | CONVERT(BlastType, PxSharedType)
#define | RCast(type, name) reinterpret_cast<const type>(name)
#define | WCast(type, name) reinterpret_cast<type>(name)
## Functions
float | dot (const NvcVec3 &v1, const NvcVec3 &v2)
float | dot (const NvcVec2 &v1, const NvcVec2 &v2)
NvcVec3 | neg (const NvcVec3 &v)
NvcVec2 | neg (const NvcVec2 &v)
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcBounds3, maximum)==NV_OFFSET_OF(physx::PxBounds3, maximum))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcBounds3, minimum)==NV_OFFSET_OF(physx::PxBounds3, minimum))
| NV_COMPILE_TIME_ASSERT (sizeof(NvcBounds3)==sizeof(physx::PxBounds3))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcMat33, column2)==NV_OFFSET_OF(physx::PxMat33, column2))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcMat33, column1)==NV_OFFSET_OF(physx::PxMat33, column1))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcMat33, column0)==NV_OFFSET_OF(physx::PxMat33, column0))
| NV_COMPILE_TIME_ASSERT (sizeof(NvcMat33)==sizeof(physx::PxMat33))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcPlane, d)==NV_OFFSET_OF(physx::PxPlane, d))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcPlane, n)==NV_OFFSET_OF(physx::PxPlane, n))
| NV_COMPILE_TIME_ASSERT (sizeof(NvcPlane)==sizeof(physx::PxPlane))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcTransform, q)==NV_OFFSET_OF(physx::PxTransform, q))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcTransform, p)==NV_OFFSET_OF(physx::PxTransform, p))
| NV_COMPILE_TIME_ASSERT (sizeof(NvcTransform)==sizeof(physx::PxTransform))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcQuat, w)==NV_OFFSET_OF(physx::PxQuat, w))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcQuat, z)==NV_OFFSET_OF(physx::PxQuat, z))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcQuat, y)==NV_OFFSET_OF(physx::PxQuat, y))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcQuat, x)==NV_OFFSET_OF(physx::PxQuat, x))
| NV_COMPILE_TIME_ASSERT (sizeof(NvcQuat)==sizeof(physx::PxQuat))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcVec4, w)==NV_OFFSET_OF(physx::PxVec4, w))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcVec4, z)==NV_OFFSET_OF(physx::PxVec4, z))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcVec4, y)==NV_OFFSET_OF(physx::PxVec4, y))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcVec4, x)==NV_OFFSET_OF(physx::PxVec4, x))
| NV_COMPILE_TIME_ASSERT (sizeof(NvcVec4)==sizeof(physx::PxVec4))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcVec3, z)==NV_OFFSET_OF(physx::PxVec3, z))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcVec3, y)==NV_OFFSET_OF(physx::PxVec3, y))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcVec3, x)==NV_OFFSET_OF(physx::PxVec3, x))
| NV_COMPILE_TIME_ASSERT (sizeof(NvcVec3)==sizeof(physx::PxVec3))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcVec2, y)==NV_OFFSET_OF(physx::PxVec2, y))
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvcVec2, x)==NV_OFFSET_OF(physx::PxVec2, x))
| NV_COMPILE_TIME_ASSERT (sizeof(NvcVec2)==sizeof(physx::PxVec2))
NvcVec3 | operator* (float f, const NvcVec3 &v)
NvcVec3 | operator* (const NvcVec3 &v, float f)
NvcVec3 | operator* (const NvcVec3 &v1, const NvcVec3 &v2)
NvcVec2 | operator* (float f, const NvcVec2 &v)
NvcVec2 | operator* (const NvcVec2 &v, float f)
NvcVec3 | operator+ (float f, const NvcVec3 &v)
NvcVec3 | operator+ (const NvcVec3 &v, float f)
NvcVec3 | operator+ (const NvcVec3 &v1, const NvcVec3 &v2)
NvcVec2 | operator+ (float f, const NvcVec2 &v)
NvcVec2 | operator+ (const NvcVec2 &v, float f)
NvcVec2 | operator+ (const NvcVec2 &v1, const NvcVec2 &v2)
NvcVec3 | operator- (const NvcVec3 &v1, const NvcVec3 &v2)
NvcVec2 | operator- (const NvcVec2 &v1, const NvcVec2 &v2)
NvcVec3 | operator/ (const NvcVec3 &v, float f)
NvcVec3 | operator/ (const NvcVec3 &v1, const NvcVec3 &v2)
NvcVec2 | operator/ (const NvcVec2 &v, float f)

## Define Documentation

#define CONVERT | ( | BlastType,
|  | PxSharedType |  | ) |

#define RCast | ( | type,
|  | name |  | ) | reinterpret_cast<const type>(name)

#define WCast | ( | type,
|  | name |  | ) | reinterpret_cast<type>(name)

## Function Documentation

float dot | ( | const NvcVec3 & | v1,
|  | const NvcVec3 & | v2 |
| ) |  |  | `[inline]`

float dot | ( | const NvcVec2 & | v1,
|  | const NvcVec2 & | v2 |
| ) |  |  | `[inline]`

NvcVec3 neg | ( | const NvcVec3 & | v | ) | `[inline]`

NvcVec2 neg | ( | const NvcVec2 & | v | ) | `[inline]`

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcBounds3, maximum) | = `=NV_OFFSET_OF(physx::PxBounds3, maximum)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcBounds3, minimum) | = `=NV_OFFSET_OF(physx::PxBounds3, minimum)` | ) |

NV_COMPILE_TIME_ASSERT | ( | sizeof(NvcBounds3) | = `=sizeof(physx::PxBounds3)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcMat33, column2) | = `=NV_OFFSET_OF(physx::PxMat33, column2)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcMat33, column1) | = `=NV_OFFSET_OF(physx::PxMat33, column1)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcMat33, column0) | = `=NV_OFFSET_OF(physx::PxMat33, column0)` | ) |

NV_COMPILE_TIME_ASSERT | ( | sizeof(NvcMat33) | = `=sizeof(physx::PxMat33)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcPlane, d) | = `=NV_OFFSET_OF(physx::PxPlane, d)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcPlane, n) | = `=NV_OFFSET_OF(physx::PxPlane, n)` | ) |

NV_COMPILE_TIME_ASSERT | ( | sizeof(NvcPlane) | = `=sizeof(physx::PxPlane)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcTransform, q) | = `=NV_OFFSET_OF(physx::PxTransform, q)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcTransform, p) | = `=NV_OFFSET_OF(physx::PxTransform, p)` | ) |

NV_COMPILE_TIME_ASSERT | ( | sizeof(NvcTransform) | = `=sizeof(physx::PxTransform)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcQuat, w) | = `=NV_OFFSET_OF(physx::PxQuat, w)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcQuat, z) | = `=NV_OFFSET_OF(physx::PxQuat, z)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcQuat, y) | = `=NV_OFFSET_OF(physx::PxQuat, y)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcQuat, x) | = `=NV_OFFSET_OF(physx::PxQuat, x)` | ) |

NV_COMPILE_TIME_ASSERT | ( | sizeof(NvcQuat) | = `=sizeof(physx::PxQuat)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcVec4, w) | = `=NV_OFFSET_OF(physx::PxVec4, w)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcVec4, z) | = `=NV_OFFSET_OF(physx::PxVec4, z)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcVec4, y) | = `=NV_OFFSET_OF(physx::PxVec4, y)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcVec4, x) | = `=NV_OFFSET_OF(physx::PxVec4, x)` | ) |

NV_COMPILE_TIME_ASSERT | ( | sizeof(NvcVec4) | = `=sizeof(physx::PxVec4)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcVec3, z) | = `=NV_OFFSET_OF(physx::PxVec3, z)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcVec3, y) | = `=NV_OFFSET_OF(physx::PxVec3, y)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcVec3, x) | = `=NV_OFFSET_OF(physx::PxVec3, x)` | ) |

NV_COMPILE_TIME_ASSERT | ( | sizeof(NvcVec3) | = `=sizeof(physx::PxVec3)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcVec2, y) | = `=NV_OFFSET_OF(physx::PxVec2, y)` | ) |

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvcVec2, x) | = `=NV_OFFSET_OF(physx::PxVec2, x)` | ) |

NV_COMPILE_TIME_ASSERT | ( | sizeof(NvcVec2) | = `=sizeof(physx::PxVec2)` | ) |

NvcVec3 operator* | ( | float | f,
|  | const NvcVec3 & | v |
| ) |  |  | `[inline]`

NvcVec3 operator* | ( | const NvcVec3 & | v,
|  | float | f |
| ) |  |  | `[inline]`

NvcVec3 operator* | ( | const NvcVec3 & | v1,
|  | const NvcVec3 & | v2 |
| ) |  |  | `[inline]`

NvcVec2 operator* | ( | float | f,
|  | const NvcVec2 & | v |
| ) |  |  | `[inline]`

NvcVec2 operator* | ( | const NvcVec2 & | v,
|  | float | f |
| ) |  |  | `[inline]`

NvcVec3 operator+ | ( | float | f,
|  | const NvcVec3 & | v |
| ) |  |  | `[inline]`

NvcVec3 operator+ | ( | const NvcVec3 & | v,
|  | float | f |
| ) |  |  | `[inline]`

NvcVec3 operator+ | ( | const NvcVec3 & | v1,
|  | const NvcVec3 & | v2 |
| ) |  |  | `[inline]`

NvcVec2 operator+ | ( | float | f,
|  | const NvcVec2 & | v |
| ) |  |  | `[inline]`

NvcVec2 operator+ | ( | const NvcVec2 & | v,
|  | float | f |
| ) |  |  | `[inline]`

NvcVec2 operator+ | ( | const NvcVec2 & | v1,
|  | const NvcVec2 & | v2 |
| ) |  |  | `[inline]`

NvcVec3 operator- | ( | const NvcVec3 & | v1,
|  | const NvcVec3 & | v2 |
| ) |  |  | `[inline]`

NvcVec2 operator- | ( | const NvcVec2 & | v1,
|  | const NvcVec2 & | v2 |
| ) |  |  | `[inline]`

NvcVec3 operator/ | ( | const NvcVec3 & | v,
|  | float | f |
| ) |  |  | `[inline]`

NvcVec3 operator/ | ( | const NvcVec3 & | v1,
|  | const NvcVec3 & | v2 |
| ) |  |  | `[inline]`

NvcVec2 operator/ | ( | const NvcVec2 & | v,
|  | float | f |
| ) |  |  | `[inline]`